# ncurses 5.9 - patch 20130323 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20130323.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Mar 24 01:05:56 UTC 2013
# ------------------------------------------------------------------------------
# NEWS                     |    9 +++
# aclocal.m4               |  113 +++++++++++++++++++--------------------------
# configure                |  113 +++++++++++++++++++--------------------------
# dist.mk                  |    4 -
# misc/terminfo.src        |   27 ++++++----
# package/debian/changelog |    4 -
# package/ncurses.spec     |    2 
# progs/tset.c             |   14 ++---
# 8 files changed, 134 insertions(+), 152 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2035 
--- ncurses-5.9-20130316+/NEWS	2013-03-17 01:01:39.000000000 +0000
+++ ncurses-5.9-20130323/NEWS	2013-03-23 21:04:57.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2035 2013/03/17 01:01:39 tom Exp $
+-- $Id: NEWS,v 1.2036 2013/03/23 21:04:57 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,13 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20130323
+	+ build-fix for OS X, to handle changes for --with-cxx-shared feature
+	  (report by Christian Ebert).
+	+ change initialization for vt220, similar entries for consistency
+	  with cursor-key strings (NetBSD #47674) -TD
+	+ further improvements to linux-16color (Benjamin Sittler)
+
 20130316
 	+ additional fix for tic.c, to allocate missing buffer space.
 	+ eliminate configure-script warnings for gen-pkgconfig.in
Index: aclocal.m4
Prereq:  1.658 
--- ncurses-5.9-20130316+/aclocal.m4	2013-03-12 13:40:56.000000000 +0000
+++ ncurses-5.9-20130323/aclocal.m4	2013-03-23 22:34:35.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.658 2013/03/12 13:40:56 tom Exp $
+dnl $Id: aclocal.m4,v 1.660 2013/03/23 22:34:35 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -3068,7 +3068,7 @@
 	AC_SUBST(LIB_PREFIX)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_LIB_RULES version: 69 updated: 2013/03/09 19:22:30
+dnl CF_LIB_RULES version: 70 updated: 2013/03/23 17:00:30
 dnl ------------
 dnl Append definitions and rules for the given models to the subdirectory
 dnl Makefiles, and the recursion rule for the top-level Makefile.  If the
@@ -3126,74 +3126,59 @@
 			cf_libname=$cf_dir
 			test "$cf_dir" = c++ && cf_libname=ncurses++
 			if test $cf_item = shared ; then
-			if test "$cf_cv_do_symlinks" = yes ; then
-				case "$cf_cv_shlib_version" in #(vi
-				rel) #(vi
-					case "$cf_cv_system_name" in #(vi
-					darwin*)
-					case .${LIB_SUFFIX} in
-					.tw*)
-						cf_suffix=`echo $cf_suffix | sed 's/^tw//'`
-						cf_suffix=tw'.${REL_VERSION}'"$cf_suffix"
-						;;
-					.t*)
-						cf_suffix=`echo $cf_suffix | sed 's/^t//'`
-						cf_suffix=t'.${REL_VERSION}'"$cf_suffix"
-						;;
-					.w*)
-						cf_suffix=`echo $cf_suffix | sed 's/^w//'`
-						cf_suffix=w'.${REL_VERSION}'"$cf_suffix"
+				if test -n "${LIB_SUFFIX}"
+				then
+					cf_shared_suffix=`echo "$cf_suffix" | sed 's/^'"${LIB_SUFFIX}"'//'`
+				else
+					cf_shared_suffix="$cf_suffix"
+				fi
+				if test "$cf_cv_do_symlinks" = yes ; then
+					cf_version_name=
+
+					case "$cf_cv_shlib_version" in #(vi
+					rel) #(vi
+						cf_version_name=REL_VERSION
 						;;
-					*)
-						cf_suffix='.${REL_VERSION}'"$cf_suffix"
+					abi)
+						cf_version_name=ABI_VERSION
 						;;
 					esac
-					;; #(vi
-					*) cf_suffix="$cf_suffix"'.${REL_VERSION}' ;;
-					esac
+
+					if test -n "$cf_version_name"
+					then
+						case "$cf_cv_system_name" in #(vi
+						darwin*)
+							# "w", etc?
+							cf_suffix="${LIB_SUFFIX}"'.${'$cf_version_name'}'"$cf_shared_suffix"
+							;; #(vi
+						*)
+							cf_suffix="$cf_suffix"'.${'$cf_version_name'}'
+							;;
+						esac
+					fi
+					if test -n "${LIB_SUFFIX}"
+					then
+						cf_shared_suffix=`echo "$cf_suffix" | sed 's/^'"${LIB_SUFFIX}"'//'`
+					else
+						cf_shared_suffix="$cf_suffix"
+					fi
+				fi
+				# cygwin needs import library, and has unique naming convention
+				# use autodetected ${cf_prefix} for import lib and static lib, but
+				# use 'cyg' prefix for shared lib.
+				case $cf_cv_shlib_version in #(vi
+				cygdll) #(vi
+					cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
+					Libs_To_Make="$Libs_To_Make ../lib/cyg${cf_libname}${cf_cygsuf}"
+					continue
 					;;
-				abi)
-					case "$cf_cv_system_name" in #(vi
-					darwin*)
-					case .${LIB_SUFFIX} in
-					.tw*)
-						cf_suffix=`echo $cf_suffix | sed 's/^tw//'`
-						cf_suffix=tw'.${ABI_VERSION}'"$cf_suffix"
-						;;
-					.t*)
-						cf_suffix=`echo $cf_suffix | sed 's/^t//'`
-						cf_suffix=t'.${ABI_VERSION}'"$cf_suffix"
-						;;
-					.w*)
-						cf_suffix=`echo $cf_suffix | sed 's/^w//'`
-						cf_suffix=w'.${ABI_VERSION}'"$cf_suffix"
-						;;
-					*)
-						cf_suffix='.${ABI_VERSION}'"$cf_suffix"
-						;;
-					esac
-					;; #(vi
-					*) cf_suffix="$cf_suffix"'.${ABI_VERSION}' ;;
-					esac
+				mingw)
+					cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
+					Libs_To_Make="$Libs_To_Make ../lib/lib${cf_libname}${cf_cygsuf}"
+					continue
 					;;
 				esac
 			fi
-			# cygwin needs import library, and has unique naming convention
-			# use autodetected ${cf_prefix} for import lib and static lib, but
-			# use 'cyg' prefix for shared lib.
-			case $cf_cv_shlib_version in #(vi
-			cygdll) #(vi
-				cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
-				Libs_To_Make="$Libs_To_Make ../lib/cyg${cf_libname}${cf_cygsuf}"
-				continue
-				;;
-			mingw)
-				cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
-				Libs_To_Make="$Libs_To_Make ../lib/lib${cf_libname}${cf_cygsuf}"
-				continue
-				;;
-			esac
-			fi
 			Libs_To_Make="$Libs_To_Make ../lib/${cf_prefix}${cf_libname}${cf_suffix}"
 		done
 
@@ -3239,7 +3224,7 @@
 					*.a)
 						;;
 					*)
-						cf_item=`echo "$cf_item" | sed -e 's/\.so.*/.a/'`
+						cf_item=`echo "$cf_item" | sed -e "s,"$cf_shared_suffix",.a,"`
 						;;
 					esac
 					for cf_test in $cf_list
Index: configure
--- ncurses-5.9-20130316+/configure	2013-03-16 23:35:13.000000000 +0000
+++ ncurses-5.9-20130323/configure	2013-03-23 22:36:20.000000000 +0000
@@ -21725,74 +21725,59 @@
 			cf_libname=$cf_dir
 			test "$cf_dir" = c++ && cf_libname=ncurses++
 			if test $cf_item = shared ; then
-			if test "$cf_cv_do_symlinks" = yes ; then
-				case "$cf_cv_shlib_version" in #(vi
-				rel) #(vi
-					case "$cf_cv_system_name" in #(vi
-					darwin*)
-					case .${LIB_SUFFIX} in
-					.tw*)
-						cf_suffix=`echo $cf_suffix | sed 's/^tw//'`
-						cf_suffix=tw'.${REL_VERSION}'"$cf_suffix"
-						;;
-					.t*)
-						cf_suffix=`echo $cf_suffix | sed 's/^t//'`
-						cf_suffix=t'.${REL_VERSION}'"$cf_suffix"
-						;;
-					.w*)
-						cf_suffix=`echo $cf_suffix | sed 's/^w//'`
-						cf_suffix=w'.${REL_VERSION}'"$cf_suffix"
-						;;
-					*)
-						cf_suffix='.${REL_VERSION}'"$cf_suffix"
+				if test -n "${LIB_SUFFIX}"
+				then
+					cf_shared_suffix=`echo "$cf_suffix" | sed 's/^'"${LIB_SUFFIX}"'//'`
+				else
+					cf_shared_suffix="$cf_suffix"
+				fi
+				if test "$cf_cv_do_symlinks" = yes ; then
+					cf_version_name=
+
+					case "$cf_cv_shlib_version" in #(vi
+					rel) #(vi
+						cf_version_name=REL_VERSION
+						;;
+					abi)
+						cf_version_name=ABI_VERSION
 						;;
 					esac
-					;; #(vi
-					*) cf_suffix="$cf_suffix"'.${REL_VERSION}' ;;
-					esac
+
+					if test -n "$cf_version_name"
+					then
+						case "$cf_cv_system_name" in #(vi
+						darwin*)
+							# "w", etc?
+							cf_suffix="${LIB_SUFFIX}"'.${'$cf_version_name'}'"$cf_shared_suffix"
+							;; #(vi
+						*)
+							cf_suffix="$cf_suffix"'.${'$cf_version_name'}'
+							;;
+						esac
+					fi
+					if test -n "${LIB_SUFFIX}"
+					then
+						cf_shared_suffix=`echo "$cf_suffix" | sed 's/^'"${LIB_SUFFIX}"'//'`
+					else
+						cf_shared_suffix="$cf_suffix"
+					fi
+				fi
+				# cygwin needs import library, and has unique naming convention
+				# use autodetected ${cf_prefix} for import lib and static lib, but
+				# use 'cyg' prefix for shared lib.
+				case $cf_cv_shlib_version in #(vi
+				cygdll) #(vi
+					cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
+					Libs_To_Make="$Libs_To_Make ../lib/cyg${cf_libname}${cf_cygsuf}"
+					continue
 					;;
-				abi)
-					case "$cf_cv_system_name" in #(vi
-					darwin*)
-					case .${LIB_SUFFIX} in
-					.tw*)
-						cf_suffix=`echo $cf_suffix | sed 's/^tw//'`
-						cf_suffix=tw'.${ABI_VERSION}'"$cf_suffix"
-						;;
-					.t*)
-						cf_suffix=`echo $cf_suffix | sed 's/^t//'`
-						cf_suffix=t'.${ABI_VERSION}'"$cf_suffix"
-						;;
-					.w*)
-						cf_suffix=`echo $cf_suffix | sed 's/^w//'`
-						cf_suffix=w'.${ABI_VERSION}'"$cf_suffix"
-						;;
-					*)
-						cf_suffix='.${ABI_VERSION}'"$cf_suffix"
-						;;
-					esac
-					;; #(vi
-					*) cf_suffix="$cf_suffix"'.${ABI_VERSION}' ;;
-					esac
+				mingw)
+					cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
+					Libs_To_Make="$Libs_To_Make ../lib/lib${cf_libname}${cf_cygsuf}"
+					continue
 					;;
 				esac
 			fi
-			# cygwin needs import library, and has unique naming convention
-			# use autodetected ${cf_prefix} for import lib and static lib, but
-			# use 'cyg' prefix for shared lib.
-			case $cf_cv_shlib_version in #(vi
-			cygdll) #(vi
-				cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
-				Libs_To_Make="$Libs_To_Make ../lib/cyg${cf_libname}${cf_cygsuf}"
-				continue
-				;;
-			mingw)
-				cf_cygsuf=`echo "$cf_suffix" | sed -e 's/\.dll/\${ABI_VERSION}.dll/'`
-				Libs_To_Make="$Libs_To_Make ../lib/lib${cf_libname}${cf_cygsuf}"
-				continue
-				;;
-			esac
-			fi
 			Libs_To_Make="$Libs_To_Make ../lib/${cf_prefix}${cf_libname}${cf_suffix}"
 		done
 
@@ -21838,7 +21823,7 @@
 					*.a)
 						;;
 					*)
-						cf_item=`echo "$cf_item" | sed -e 's/\.so.*/.a/'`
+						cf_item=`echo "$cf_item" | sed -e "s,"$cf_shared_suffix",.a,"`
 						;;
 					esac
 					for cf_test in $cf_list
@@ -21881,7 +21866,7 @@
 				cygdll|mingw) #(vi
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:21884: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:21869: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: dist.mk
Prereq:  1.919 
--- ncurses-5.9-20130316+/dist.mk	2013-03-16 16:00:27.000000000 +0000
+++ ncurses-5.9-20130323/dist.mk	2013-03-23 13:19:54.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.919 2013/03/16 16:00:27 tom Exp $
+# $Id: dist.mk,v 1.920 2013/03/23 13:19:54 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20130316
+NCURSES_PATCH = 20130323
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: misc/terminfo.src
--- ncurses-5.9-20130316+/misc/terminfo.src	2013-03-16 22:39:31.000000000 +0000
+++ ncurses-5.9-20130323/misc/terminfo.src	2013-03-23 20:42:52.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.472 $
-#	$Date: 2013/03/16 22:39:31 $
+#	$Revision: 1.474 $
+#	$Date: 2013/03/23 20:42:52 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -1025,9 +1025,9 @@
 # you use a 512-character console font. This uses bold for bright
 # foreground colors and blink for bright background colors.
 linux-16color|linux console with 16 colors,
-	colors#16, ncv#62, pairs#256,
-	setab=\E[4%p1%{8}%m%d%?%p1%{8}%>%t;5%e%p1%{8}%=%t;2%e;25%;m,
-	setaf=\E[3%p1%{8}%m%d%?%p1%{8}%>%t;1%e%p1%{8}%=%t;2%e;21%;m,
+	colors#16, ncv#63, pairs#256,
+	setab=\E[4%p1%{8}%m%d%?%p1%{7}%>%t;5%e;25%;m,
+	setaf=\E[3%p1%{8}%m%d%?%p1%{7}%>%t;1%e;21%;m,
 	use=linux,
 
 # bterm (bogl 0.1.18)
@@ -2521,7 +2521,7 @@
 	flash=\E[?5h$<200/>\E[?5l, home=\E[H, ht=^I, hts=\EH,
 	ich=\E[%p1%d@, if=/usr/share/tabset/vt100,
 	il=\E[%p1%dL, il1=\E[L, ind=\ED,
-	is2=\E[?7h\E[>\E[?1h\E F\E[?4l, kbs=^H, kcub1=\E[D,
+	is2=\E[?7h\E[>\E[?1l\E F\E[?4l, kbs=^H, kcub1=\E[D,
 	kcud1=\E[B, kcuf1=\E[C, kcuu1=\E[A, kdch1=\E[3~, kf1=\EOP,
 	kf10=\E[21~, kf11=\E[23~, kf12=\E[24~, kf13=\E[25~,
 	kf14=\E[26~, kf17=\E[31~, kf18=\E[32~, kf19=\E[33~,
@@ -2552,7 +2552,7 @@
 	flash=\233?5h$<200/>\233?5l, home=\233H, ht=^I, hts=\EH,
 	ich=\233%p1%d@, if=/usr/share/tabset/vt100,
 	il=\233%p1%dL, il1=\233L, ind=\ED,
-	is2=\233?7h\233>\233?1h\E F\233?4l, kbs=^H,
+	is2=\233?7h\233>\233?1l\E F\233?4l, kbs=^H,
 	kcub1=\233D, kcud1=\233B, kcuf1=\233C, kcuu1=\233A,
 	kdch1=\2333~, kf1=\EOP, kf10=\23321~, kf11=\23323~,
 	kf12=\23324~, kf13=\23325~, kf14=\23326~, kf17=\23331~,
@@ -2608,7 +2608,7 @@
 	cub1=^H, cud1=^J, cuf1=\E[C, cup=\E[%i%p1%d;%p2%dH,
 	cuu1=\E[A, dch1=\E[P, dl1=\E[M, ed=\E[J, el=\E[K, home=\E[H,
 	ht=^I, il1=\E[L, ind=\ED,
-	is2=\E[61"p\E[H\E[?3l\E[?4l\E[?1l\E[?5l\E[?6l\E[?7h\E[?8h\E[?25h\E>\E[m,
+	is2=\E[61"p\E[H\E[?3l\E[?4l\E[?1h\E[?5l\E[?6l\E[?7h\E[?8h\E[?25h\E>\E[m,
 	kbs=^H, kcub1=\EOD, kcud1=\EOB, kcuf1=\EOC, kcuu1=\EOA,
 	kf1=\EOP, kf2=\EOQ, kf3=\EOR, kf4=\EOS, nel=^M\ED, rc=\E8,
 	rf=/usr/share/tabset/vt100, ri=\EM, rmdc=, rmir=\E[4l,
@@ -5532,7 +5532,7 @@
 	cup=\E[%i%p1%d;%p2%dH, cuu1=\E[A, dl=\E[%p1%dM, dl1=\E[M,
 	ed=\E[J, el=\E[K, home=\E[H, ht=^I,
 	if=/usr/share/tabset/vt100, il=\E[%p1%dL, il1=\E[L,
-	is2=\E[?7h\E[?1l\E[?3l\E7\E8, kbs=^H, kcub1=\EOD,
+	is2=\E[?7h\E[?1h\E[?3l\E7\E8, kbs=^H, kcub1=\EOD,
 	kcud1=\EOB, kcuf1=\EOC, kcuu1=\EOA, kf0=\EOY, kf1=\EOP,
 	kf2=\EOQ, kf3=\EOR, kf4=\EOS, kf5=\EOT, kf6=\EOU, kf7=\EOV,
 	kf8=\EOW, kf9=\EOX, rc=\E8, rev=\E[7m, ri=\EM,
@@ -5580,7 +5580,7 @@
 	cr=^M, csr=\E[%i%p1%d;%p2%dr, cub1=^H, cud1=^J, cuf1=\E[C,
 	cup=\E[%i%p1%d;%p2%dH, cuu1=\E[A, ed=\E[J, el=\E[K,
 	home=\E[H, ht=^I, if=/usr/share/tabset/vt100, kbs=^H,
-	kcub1=\EOD, kcud1=\EOB, kcuf1=\EOC, kcuu1=\EOA, kf1=\EOP,
+	kcub1=\E[D, kcud1=\E[B, kcuf1=\E[C, kcuu1=\E[A, kf1=\EOP,
 	kf2=\EOQ, kf3=\EOR, kf4=\EOS, rc=\E8, rev=\E[7m, ri=\EM,
 	rmkx=\E[?1l\E>, rmso=\E[m, rmul=\E[m,
 	rs2=\E>\E[?3l\E[?4l\E[?5l\E[?7h\E[?8h, sc=\E7,
@@ -10031,7 +10031,7 @@
 	flash=\E[?5h\E[?5l\E[?5h\E[?5l\E[?5h\E[?5l,
 	fsl=\E[0$}, home=\E[H, hpa=\E[%i%p1%dG, ht=^I, hts=\EH,
 	ich=\E[%p1%d@, il=\E[%p1%dL, il1=\E[L, ind=^J,
-	is2=\E>\E F\E[?1l\E[?7h\E[r\E[2$~, kbs=^H, kcub1=\EOD,
+	is2=\E>\E F\E[?1h\E[?7h\E[r\E[2$~, kbs=^H, kcub1=\EOD,
 	kcud1=\EOB, kcuf1=\EOC, kcuu1=\EOA, kdl1=\E[3~, kf0=\E[21~,
 	kf1=\EOP, kf2=\EOQ, kf3=\EOR, kf4=\EOS, kf6=\E[17~,
 	kf7=\E[18~, kf8=\E[19~, kf9=\E[20~, kich1=\E[2~, knp=\E[6~,
@@ -22968,4 +22968,9 @@
 #	* add blink to the attributes masked by ncv in linux-16color (report
 #	  by Benjamin Sittler)
 #
+# 2013-03-23
+#	* change initialization for vt220, similar entries for consistency
+#	  with cursor-key strings (NetBSD #47674) -TD
+#	* further improvements to linux-16color (Benjamin Sittler)
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: package/debian/changelog
--- ncurses-5.9-20130316+/package/debian/changelog	2013-03-16 16:00:27.000000000 +0000
+++ ncurses-5.9-20130323/package/debian/changelog	2013-03-23 21:02:51.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20130316) unstable; urgency=low
+ncurses6 (5.9-20130323) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 10 Mar 2013 19:17:14 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Mar 2013 17:02:48 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20130316+/package/ncurses.spec	2013-03-16 16:00:27.000000000 +0000
+++ ncurses-5.9-20130323/package/ncurses.spec	2013-03-23 21:02:51.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20130316
+Version: 20130323
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
Index: progs/tset.c
Prereq:  1.90 
--- ncurses-5.9-20130316+/progs/tset.c	2012-12-15 23:01:17.000000000 +0000
+++ ncurses-5.9-20130323/progs/tset.c	2013-03-23 21:38:08.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -119,7 +119,7 @@
 #include <dump_entry.h>
 #include <transform.h>
 
-MODULE_ID("$Id: tset.c,v 1.90 2012/12/15 23:01:17 tom Exp $")
+MODULE_ID("$Id: tset.c,v 1.91 2013/03/23 21:38:08 tom Exp $")
 
 /*
  * SCO defines TIOCGSIZE and the corresponding struct.  Other systems (SunOS,
@@ -531,19 +531,19 @@
 		match = TRUE;
 		break;
 	    case EQ:
-		match = (ospeed == mapp->speed);
+		match = ((int) ospeed == mapp->speed);
 		break;
 	    case GE:
-		match = (ospeed >= mapp->speed);
+		match = ((int) ospeed >= mapp->speed);
 		break;
 	    case GT:
-		match = (ospeed > mapp->speed);
+		match = ((int) ospeed > mapp->speed);
 		break;
 	    case LE:
-		match = (ospeed <= mapp->speed);
+		match = ((int) ospeed <= mapp->speed);
 		break;
 	    case LT:
-		match = (ospeed < mapp->speed);
+		match = ((int) ospeed < mapp->speed);
 		break;
 	    default:
 		match = FALSE;
